zenilib: Zeni::String::const_reverse_iterator Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Types | Public Member Functions | Friends | List of all members
Zeni::String::const_reverse_iterator Class Reference

`#include <String.h>`

## Public Types

typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef value_type * | pointer
typedef value_type & | reference
typedef char | value_type

## Public Member Functions

| const_reverse_iterator ()
| const_reverse_iterator (const const_reverse_iterator &rhs)
| const_reverse_iterator (const String::reverse_iterator &rhs)
| ~const_reverse_iterator ()
bool | operator!= (const const_reverse_iterator &rhs) const
value_type | operator* () const
const_reverse_iterator | operator+ (const difference_type &n) const
const_reverse_iterator | operator++ ()
const_reverse_iterator | operator++ (int)
const_reverse_iterator | operator+= (const difference_type &n)
const_reverse_iterator | operator- (const difference_type &n) const
difference_type | operator- (const const_reverse_iterator &rhs) const
const_reverse_iterator | operator-- ()
const_reverse_iterator | operator-- (int)
const_reverse_iterator | operator-= (const difference_type &n)
value_type | operator-> () const
bool | operator< (const const_reverse_iterator &rhs) const
bool | operator<= (const const_reverse_iterator &rhs) const
const_reverse_iterator & | operator= (const const_reverse_iterator &rhs)
const_reverse_iterator & | operator= (const String::reverse_iterator &rhs)
bool | operator== (const const_reverse_iterator &rhs) const
bool | operator> (const const_reverse_iterator &rhs) const
bool | operator>= (const const_reverse_iterator &rhs) const
value_type | operator[] (const difference_type &n) const

## Friends

class | String

## Detailed Description

Definition at line 189 of file String.h.

## Member Typedef Documentation

typedef ptrdiff_t Zeni::String::const_reverse_iterator::difference_type

Definition at line 193 of file String.h.

typedef std::random_access_iterator_tag Zeni::String::const_reverse_iterator::iterator_category

Definition at line 194 of file String.h.

typedef value_type* Zeni::String::const_reverse_iterator::pointer

Definition at line 196 of file String.h.

typedef value_type& Zeni::String::const_reverse_iterator::reference

Definition at line 197 of file String.h.

typedef char Zeni::String::const_reverse_iterator::value_type

Definition at line 195 of file String.h.

## Constructor & Destructor Documentation

Zeni::String::const_reverse_iterator::const_reverse_iterator | ( |  | ) |

Definition at line 214 of file String.cpp.

Zeni::String::const_reverse_iterator::~const_reverse_iterator | ( |  | ) |

Definition at line 215 of file String.cpp.

Zeni::String::const_reverse_iterator::const_reverse_iterator | ( | const const_reverse_iterator & | rhs | ) |

Definition at line 217 of file String.cpp.

Zeni::String::const_reverse_iterator::const_reverse_iterator | ( | const String::reverse_iterator & | rhs | ) |

## Member Function Documentation

bool Zeni::String::const_reverse_iterator::operator!= | ( | const const_reverse_iterator & | rhs | ) | const

Definition at line 224 of file String.cpp.

References const.

String::const_reverse_iterator::value_type Zeni::String::const_reverse_iterator::operator* | ( |  | ) | const

Definition at line 226 of file String.cpp.

References const.

String::const_reverse_iterator Zeni::String::const_reverse_iterator::operator+ | ( | const difference_type & | n | ) | const

Definition at line 246 of file String.cpp.

References const.

String::const_reverse_iterator Zeni::String::const_reverse_iterator::operator++ | ( |  | ) |

Definition at line 229 of file String.cpp.

String::const_reverse_iterator Zeni::String::const_reverse_iterator::operator++ | ( | int |  | ) |

Definition at line 237 of file String.cpp.

String::const_reverse_iterator Zeni::String::const_reverse_iterator::operator+= | ( | const difference_type & | n | ) |

Definition at line 255 of file String.cpp.

String::const_reverse_iterator Zeni::String::const_reverse_iterator::operator- | ( | const difference_type & | n | ) | const

Definition at line 247 of file String.cpp.

References const.

String::const_reverse_iterator::difference_type Zeni::String::const_reverse_iterator::operator- | ( | const const_reverse_iterator & | rhs | ) | const

Definition at line 248 of file String.cpp.

References const.

String::const_reverse_iterator Zeni::String::const_reverse_iterator::operator-- | ( |  | ) |

Definition at line 233 of file String.cpp.

String::const_reverse_iterator Zeni::String::const_reverse_iterator::operator-- | ( | int |  | ) |

Definition at line 241 of file String.cpp.

String::const_reverse_iterator Zeni::String::const_reverse_iterator::operator-= | ( | const difference_type & | n | ) |

Definition at line 259 of file String.cpp.

String::const_reverse_iterator::value_type Zeni::String::const_reverse_iterator::operator-> | ( |  | ) | const

Definition at line 227 of file String.cpp.

References const.

bool Zeni::String::const_reverse_iterator::operator< | ( | const const_reverse_iterator & | rhs | ) | const

Definition at line 250 of file String.cpp.

References const.

bool Zeni::String::const_reverse_iterator::operator<= | ( | const const_reverse_iterator & | rhs | ) | const

Definition at line 252 of file String.cpp.

References const.

String::const_reverse_iterator & Zeni::String::const_reverse_iterator::operator= | ( | const const_reverse_iterator & | rhs | ) |

Definition at line 218 of file String.cpp.

const_reverse_iterator& Zeni::String::const_reverse_iterator::operator= | ( | const String::reverse_iterator & | rhs | ) |

bool Zeni::String::const_reverse_iterator::operator== | ( | const const_reverse_iterator & | rhs | ) | const

Definition at line 223 of file String.cpp.

References const.

bool Zeni::String::const_reverse_iterator::operator> | ( | const const_reverse_iterator & | rhs | ) | const

Definition at line 251 of file String.cpp.

References const.

bool Zeni::String::const_reverse_iterator::operator>= | ( | const const_reverse_iterator & | rhs | ) | const

Definition at line 253 of file String.cpp.

References const.

String::const_reverse_iterator::value_type Zeni::String::const_reverse_iterator::operator[] | ( | const difference_type & | n | ) | const

Definition at line 264 of file String.cpp.

References const.

## Friends And Related Function Documentation

friend class String

friend

Definition at line 190 of file String.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/String.h
- zenilib/jni/external/zenilib/zeni/String.cpp